processing.app.contrib

## Class Contribution

- Object
- - Contribution

- Direct Known Subclasses:
    AvailableContribution, LocalContribution

      public abstract class Contribution
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Contribution()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthorList()`
    `long` | `getLastUpdated()`
    `int` | `getMaxRevision()`
    `int` | `getMinRevision()`
    `String` | `getName()`
    `String` | `getParagraph()`
    `String` | `getPrettyVersion()`
    `String` | `getSentence()`
    `abstract ContributionType` | `getType()`
    `String` | `getTypeName()`
    `String` | `getUrl()`
    `int` | `getVersion()`
    `boolean` | `isCompatible(int versionNum)`
    `abstract boolean` | `isInstalled()`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Contribution

          public Contribution()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getAuthorList

          public String getAuthorList()

    - #### getUrl

          public String getUrl()

    - #### getSentence

          public String getSentence()

    - #### getParagraph

          public String getParagraph()

    - #### getVersion

          public int getVersion()

    - #### getPrettyVersion

          public String getPrettyVersion()

    - #### getLastUpdated

          public long getLastUpdated()

    - #### getMinRevision

          public int getMinRevision()

    - #### getMaxRevision

          public int getMaxRevision()

    - #### isCompatible

          public boolean isCompatible(int versionNum)

    - #### getType

          public abstract ContributionType getType()

    - #### getTypeName

          public String getTypeName()

    - #### isInstalled

          public abstract boolean isInstalled()